require 'rubygems'
require 'nokogiri'
require 'net/http'
require 'uri'

ARGV = ARGV.map { |s| s == "missing value" ? "" : s } # yeesh

res = Net::HTTP.post_form(URI.parse('http://db.tidbits.com/index.php'),
{
'article_text' => ARGV[2],
'article_author' => ARGV[1],
'article_title' => ARGV[0],
'issue_comp' => 'eq',
'issue_num' => '',
'date_comp_start' => 'eq',
'article_date_start' => '',
'date_comp_end' => 'lteq',
'article_date_end' => '',
'sort_order' => 'desc',
'max_records' => '100',
'full_search' => 'Start+Search',
'full_search' => '1'
})
# res.body contains result
# a good title link looks like this:
# <h4 class="head_secondary"><a href="javascript:void(0)" onClick="return blurb_triangle_show(9394)"><img id="blurb_show_text_9394" src="/images/summary_triangle_right.gif" border="0" height="12" width="12"></a>&nbsp;<a href="/article/10504">What&#39;s New in Snow Leopard</a>
# </h4>

doc = Nokogiri::HTML(res.body)
doc.xpath('//h4[@class="head_secondary"]/a[2]').each do |link|
  puts link.content
  puts link.attribute('href')
end